/*----------------------------
NAVIGATION -----------------*/

.flex {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.content {
  width: 100%;
  opacity: 0;
  height: 100vh;
  display: block;
  position: absolute;
  right: 100%;
  transition: 0.5s;
  background-color: $white;
}

.content .navigation {
  list-style-type: none;
  padding-left: 0px;
  text-align: center;
  font-size: 30px;
  font-weight: bold;
  min-height: 100%;
  border-collapse: collapse;
}

.content .navigation li {
  padding: 15px;
}

.content .navigation a {
  color: $black;
  text-decoration: none;
  position: relative;
  display: inline-block;
  overflow-x: hidden;
  transition: all 0.2s;
}

.content .navigation a:before {
  content: '';
  overflow: hidden;
  width: 100%;
  position: absolute;
  left: -150%;
  bottom: 0px;
  height: 3px;
  background-color: $black;
  transition: all 0.3s;
}

.content .navigation a:hover {
  color: $black;
}

.content .navigation a:hover:before {
  left: 0px;
}

.show {
  right: 0px;
  opacity: 1;
}

.hamburger {
  background-color: transparent;

  border: 0px;
  outline: 0px;
  width: 50px;
  height: 50px;
  height: auto;
  position: absolute;
  top: 25px;
  right: 25px;
  cursor: pointer;
  z-index: 9999;
}

.hamburger .burger {
  transition: all 0.3s;
  border-radius: 5px;
  height: 5px;
  width: 100%;
  display: inline-block;
  background-color: #FFF;
}

.focus .burger {
  transition: all 0.3s;
}

.focus .burger:first-of-type {
  background-color: $black;
  transition-delay: 0.4s;
  transform: translate3d(0px, 0px, 0px) rotateZ(45deg);
  width: 40px;
  transform-origin: left top;
}

.focus .burger:nth-of-type(2) {
  opacity: 0;
}

.focus .burger:last-of-type {
  background-color: $black;
  transition-delay: 0.4s;
  transform: translate3d(0px, 0px, 0px) rotateZ(-45deg);
  width: 40px;
  transform-origin: left bottom;
}